Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractFileUpload

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractFileUpload

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIFileUpload

    public abstract class AbstractFileUpload

extends javax.faces.component.UIComponentBase

Author:
  Konstantin Mishin

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractFileUpload()`

Method Summary
`void` | `addFileUploadListener(org.richfaces.event.FileUploadListener listener)` Add a new `FileUploadListener` to the set of listeners interested in being notified when `org.richfaces.FileUploadEvent`s occur.
`abstract String` | `getAcceptedTypes()`
`abstract String` | `getAddLabel()`
`abstract String` | `getClearAllLabel()`
`abstract String` | `getClearLabel()`
`abstract String` | `getDeleteLabel()`
`abstract String` | `getDoneLabel()`
`org.richfaces.event.FileUploadListener[]` | `getFileUploadListeners()` Return the set of registered `FileUploadListener`s for this `AbstractFileUpload` instance.
`abstract String` | `getListHeight()`
`abstract String` | `getMaxFilesQuantity()`
`abstract String` | `getOnclear()`
`abstract String` | `getOnfilesubmit()`
`abstract String` | `getOntyperejected()`
`abstract String` | `getOnuploadcomplete()`
`abstract String` | `getServerErrorLabel()`
`abstract String` | `getSizeExceededLabel()`
`abstract String` | `getUploadLabel()`
`abstract boolean` | `isDisabled()`
`abstract boolean` | `isNoDuplicate()`
`void` | `processEvent(javax.faces.event.ComponentSystemEvent event)`
`void` | `removeFileUploadListener(org.richfaces.event.FileUploadListener listener)` Remove an existing `FileUploadListener` (if any) from the set of listeners interested in being notified when `FileUploadListener`s occur.

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractFileUpload

    public AbstractFileUpload()

Method Detail

### getAcceptedTypes

    public abstract String getAcceptedTypes()

### getMaxFilesQuantity

    public abstract String getMaxFilesQuantity()

### isDisabled

    public abstract boolean isDisabled()

### isNoDuplicate

    public abstract boolean isNoDuplicate()

### getOnfilesubmit

    public abstract String getOnfilesubmit()

### getOntyperejected

    public abstract String getOntyperejected()

### getOnuploadcomplete

    public abstract String getOnuploadcomplete()

### getOnclear

    public abstract String getOnclear()

### getAddLabel

    public abstract String getAddLabel()

### getUploadLabel

    public abstract String getUploadLabel()

### getClearAllLabel

    public abstract String getClearAllLabel()

### getDoneLabel

    public abstract String getDoneLabel()

### getSizeExceededLabel

    public abstract String getSizeExceededLabel()

### getServerErrorLabel

    public abstract String getServerErrorLabel()

### getClearLabel

    public abstract String getClearLabel()

### getDeleteLabel

    public abstract String getDeleteLabel()

### getListHeight

    public abstract String getListHeight()

### processEvent

    public void processEvent(javax.faces.event.ComponentSystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`
  Overrides:
    `processEvent` in class `javax.faces.component.UIComponent`
  Throws:
    `javax.faces.event.AbortProcessingException`

### addFileUploadListener

    public void addFileUploadListener(org.richfaces.event.FileUploadListener listener)

  Add a new `FileUploadListener` to the set of listeners interested in being notified when `org.richfaces.FileUploadEvent`s occur.

  Parameters:
    `listener` - The `FileUploadListener` to be added
  Throws:
    `NullPointerException` - if `listener` is `null`

### getFileUploadListeners

    public org.richfaces.event.FileUploadListener[] getFileUploadListeners()

  Return the set of registered `FileUploadListener`s for this `AbstractFileUpload` instance. If there are no registered listeners, a zero-length array is returned.

### removeFileUploadListener

    public void removeFileUploadListener(org.richfaces.event.FileUploadListener listener)

  Remove an existing `FileUploadListener` (if any) from the set of listeners interested in being notified when `FileUploadListener`s occur.

  Parameters:
    `listener` - The `FileUploadListener` to be removed
  Throws:
    `NullPointerException` - if `listener` is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.